Subscribe Firebase

This endpoint allows you to subscribe through firebase to get notified for all transactions made by a wallet.

Chains Supported:

Mainnet: ethereum,bsc,matic,celo,avalanche,klaytn,kadena,velas,cronos,fuse,fantom,arbitrum,mode,optimism,manta,base,aurora,moonbeam,movementnetwork,moonriver,partisiablockchain

Testnet: bsc-testnet, partisiablockchain-testnet, movementnetwork-bardock and redbelly-testnet.

In order to use notifications for testnets use

  https://testnet-notify.unmarshal.com/v1/firebase/subscribe	

along with all required body.

unmarshal.Notifications
   .Firebase.Subscribe({
   deviceId: "deviceId",
   fcmToken: "deviceFcmToken",
   walletIds: ["demo.eth"]
}).then(({data}) => console.log(data))
Query Params
string

filter notifications based on given chain

Body Params
string
required
string
required
wallet_ids
array of strings
required
wallet_ids*
Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json